{
  "calendarStyle" : "MONTH",
  "codeName" : "Test",
  "controlType" : "CALENDAR",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSCALENDARS/Test.json",
  "emptyText" : "功能-无值显示内容",
  "groupMode" : "NONE",
  "legendPos" : "TOP",
  "logicName" : "test",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControls" : [ {
    "codeName" : "CalendarViewcalendar_quicktoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（嵌入编辑表单，只有一个保存按钮）",
    "name" : "calendar_quicktoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : {
      "id" : "calendar_quicktoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE"
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_tbitem1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "3e7d63646468b77557cfac797d62b1ce",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "CalendarViewcalendar_batchtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "calendar工具栏",
    "name" : "calendar_batchtoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : {
      "id" : "calendar_batchtoolbar"
    },
    "modelid" : "298724DC-2140-4228-9FB6-EBB94D069624",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "CalendarViewcm",
    "controlType" : "CONTEXTMENU",
    "logicName" : "树上下文菜单",
    "name" : "cm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : {
      "id" : "cm"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction1"
      },
      "getPSControlLogics" : [ {
        "itemName" : "deuiaction1",
        "logicTag" : "cm",
        "logicType" : "SCRIPT",
        "name" : "logic11",
        "scriptCode" : "true",
        "triggerType" : "ITEMVISIBLE"
      } ],
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "seperator1"
    }, {
      "caption" : "二级",
      "itemType" : "ITEMS",
      "name" : "items1",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction2"
        },
        "getPSControlLogics" : [ {
          "itemName" : "deuiaction2",
          "logicTag" : "cm",
          "logicType" : "SCRIPT",
          "name" : "logic222",
          "scriptCode" : "false",
          "triggerType" : "ITEMENABLE"
        } ],
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "删除",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionTarget" : "MULTIKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "seperator2"
      }, {
        "caption" : "三级",
        "itemType" : "ITEMS",
        "name" : "items2",
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction4",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction4"
          },
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "百度",
          "counterId" : "openBaidu",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction5",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction5"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "counterId" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "getPSAppCounter" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "百度",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "tooltip" : "三级",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "caption" : "刷新",
          "codeName" : "RefreshParent",
          "fullCodeName" : "RefreshParent",
          "name" : "树界面_刷新父节点操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "RefreshParent",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "二级",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "contentType" : "RAW",
      "itemType" : "RAWITEM",
      "name" : "rawitem1",
      "getPSRawItem" : {
        "caption" : "直接内容",
        "contentType" : "RAW",
        "name" : "rawitem1"
      },
      "rawContent" : "直接内容",
      "showCaption" : true
    } ],
    "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSSysCalendarItems" : [ {
    "getBKColorPSAppDEField" : {
      "name" : "FIELD14",
      "codeName" : "Field14"
    },
    "getBeginTimePSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    },
    "getClsPSAppDEField" : {
      "name" : "FIELD19",
      "codeName" : "Field19"
    },
    "color" : "rgba(255, 255, 255, 1)",
    "getColorPSAppDEField" : {
      "name" : "FIELD41",
      "codeName" : "Field41"
    },
    "getContentPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    },
    "getEndTimePSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "getIconPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    },
    "getIdPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    },
    "itemStyle" : "DEFAULT",
    "itemType" : "calendarbookitem",
    "maxSize" : -1,
    "name" : "图书",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getTextPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    },
    "getTipsPSAppDEField" : {
      "name" : "FIELD36",
      "codeName" : "Field36"
    },
    "enableEdit" : true,
    "enableQuickCreate" : false,
    "id" : "calendarbookitem"
  }, {
    "getBeginTimePSAppDEField" : {
      "name" : "START",
      "codeName" : "Start"
    },
    "getEndTimePSAppDEField" : {
      "name" : "END",
      "codeName" : "End"
    },
    "getIdPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    },
    "itemStyle" : "DEFAULT",
    "itemType" : "calendaritem1",
    "maxSize" : -1,
    "name" : "学生（布局）",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentEditView.json",
      "viewType" : "DEEDITVIEW"
    },
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSDEContextMenu" : {
      "codeName" : "CalendarViewcm",
      "controlType" : "CONTEXTMENU",
      "logicName" : "树上下文菜单",
      "name" : "cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getPSControlParam" : {
        "id" : "cm"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction1"
        },
        "getPSControlLogics" : [ {
          "itemName" : "deuiaction1",
          "logicTag" : "cm",
          "logicType" : "SCRIPT",
          "name" : "logic11",
          "scriptCode" : "true",
          "triggerType" : "ITEMVISIBLE"
        } ],
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionTarget" : "SINGLEKEY",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "SEPERATOR",
        "name" : "seperator1"
      }, {
        "caption" : "二级",
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction2"
          },
          "getPSControlLogics" : [ {
            "itemName" : "deuiaction2",
            "logicTag" : "cm",
            "logicType" : "SCRIPT",
            "name" : "logic222",
            "scriptCode" : "false",
            "triggerType" : "ITEMENABLE"
          } ],
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "itemType" : "SEPERATOR",
          "name" : "seperator2"
        }, {
          "caption" : "三级",
          "itemType" : "ITEMS",
          "name" : "items2",
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "cm_deuiaction4"
            },
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "百度",
            "counterId" : "openBaidu",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction5",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "cm_deuiaction5"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "百度",
            "uIActionTarget" : "NONE",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "tooltip" : "三级",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "caption" : "刷新",
            "codeName" : "RefreshParent",
            "fullCodeName" : "RefreshParent",
            "name" : "树界面_刷新父节点操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "RefreshParent",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "tooltip" : "二级",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "contentType" : "RAW",
        "itemType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSRawItem" : {
          "caption" : "直接内容",
          "contentType" : "RAW",
          "name" : "rawitem1"
        },
        "rawContent" : "直接内容",
        "showCaption" : true
      } ],
      "modelid" : "EE623BDE-0681-469C-BCA1-EA55F25E3732",
      "modeltype" : "PSDETOOLBAR"
    },
    "getPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field1",
        "viewFieldName" : "studentname"
      }, {
        "id" : "field2",
        "viewFieldName" : "age"
      } ],
      "codeName" : "Calendarlayout",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student/PSPANELS/Calendarlayout.json",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "日历项布局面板",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field1",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "studentname"
        }, {
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field2",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field2",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "age"
        } ]
      } ],
      "name" : "calendaritem1layoutpanel",
      "modelid" : "925ADFA1-F818-4B03-847B-83AA18D9ABDC",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "getTextPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    },
    "enableQuickCreate" : false,
    "id" : "calendaritem1"
  } ],
  "enableGroup" : false,
  "modelid" : "C10C79E5-8EFD-4A5E-B0C6-E5DC49DA3E89",
  "modeltype" : "PSSYSCALENDAR"
}